gnutls_dh_params_import_raw2(3)

NAME
gnutls_dh_params_import_raw2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_import_raw2(gnutls_dh_params_t dh_params, const gnutls_datum_t * prime, const gnutls_datum_t * generator, unsigned key_bits);

ARGUMENTS

gnutls_dh_params_t dh_params
    The parameters

const gnutls_datum_t * prime
    holds the new prime

const gnutls_datum_t * generator
    holds the new generator

unsigned key_bits
    the private key bits (set to zero when unknown)

DESCRIPTION
This function will replace the pair of prime and generator for use in the Diffie-Hellman key exchange. The new parameters should be stored in the appropriate gnutls_datum.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/